EventCounter (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.log.metrics
Class EventCounter

    java.lang.Object
      org.apache.log4j.AppenderSkeleton
          org.apache.hadoop.log.metrics.EventCounter

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

Direct Known Subclasses:
  EventCounter, EventCounter

    @InterfaceAudience.Public
    @InterfaceStability.Stable
    public class EventCounter

extends org.apache.log4j.AppenderSkeleton

A log4J Appender that simply counts logging events in three levels: fatal, error and warn. The class name is used in log4j.properties

Field Summary

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`EventCounter()`

Method Summary
`void` | `append(org.apache.log4j.spi.LoggingEvent event)`
`void` | `close()`
`static long` | `getError()`
`static long` | `getFatal()`
`static long` | `getInfo()`
`static long` | `getWarn()`
`boolean` | `requiresLayout()`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`activateOptions, addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventCounter

    public EventCounter()

Method Detail

### getFatal

    @InterfaceAudience.Private
    public static long getFatal()

### getError

    @InterfaceAudience.Private
    public static long getError()

### getWarn

    @InterfaceAudience.Private
    public static long getWarn()

### getInfo

    @InterfaceAudience.Private
    public static long getInfo()

### append

    public void append(org.apache.log4j.spi.LoggingEvent event)

  Specified by:
    `append` in class `org.apache.log4j.AppenderSkeleton`

### close

    public void close()

### requiresLayout

    public boolean requiresLayout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation